Unify and manage your data

Get a hierarchy by ID

Learn more about how to use the Get hierarchy API to return the definition of a hierarchy by ID.

Use the Get hierarchy by ID to retrieve the metadata for a hierarchy. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /list/prd
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
hierarchyIdStringThe hierarchy ID.
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
singleInstanceIdStringOptional. If versioning is disabled, the ID of the only hierarchy instance.
createdByStringThe username of the user who created the hierarchy.
createdTimeStringThe time when the hierarchy was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the hierarchy.
updatedTimeStringThe time when the hierarchy was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "hierarchyId": "prd",
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true,
  "createdBy": "john.smith@reltio.com",
  "createdTime": "2024-10-10T10:13:30",
  "updatedBy": "john.smith@reltio.com",
  "updatedTime": "2024-10-10T10:15:30"
}